using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
	protected void grdPractice_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
		ArrayList list = new ArrayList();
		list.Add(new TestListItem("Item 0", 0));
		list.Add(new TestListItem("Item 1", 0));
		list.Add(new TestListItem("Item 2", 1));
		list.Add(new TestListItem("Item 3", 1));
		list.Add(new TestListItem("Item 4", null));
		grdPractice.DataSource = list;
	}
	public class TestListItem
	{
		private string _a;
		private int? _b;
		public TestListItem(string a, int? b)
		{
			this._a = a;
			this._b = b;
		}
		public string A
		{
			get
			{
				return this._a;
			}
			set
			{
				this._a = value;
			}
		}
		public int? B
		{
			get
			{
				return this._b;
			}
		}
	}
}